Summary:    Alternative implementation of the MSN protocol plug-in for libpurple
Name:       pidgin-msn-pecan
Version:    0.1.4
Release:    %mkrel 5
License:    GPLv2+
Group:      Networking/Instant messaging
Source0:    https://storage.googleapis.com/google-code-archive-downloads/v2/code.google.com/msn-pecan/msn-pecan-%{version}.tar.bz2
Patch1:     msn-pecan-0.1.3-use-system-libmspack.patch
URL:        https://code.google.com/p/msn-pecan/
BuildRequires:  pkgconfig(libmspack)
BuildRequires:  pkgconfig(pidgin)

%description
This is an alternative implementation of the MSN protocol plug-in for
libpurple.

It's based on the code from 2.2.2 but slowly becoming a completely different
code.

Features include:

 * Support for personal messages
 * Server-side storage for display names (private alias)
 * Partial direct connection support (p2p transfers)
 * Improved network IO (using GIOChannel)
 * Improved error handling
 * Network issues tested with netem
 * GObject usage

%files
%doc README ChangeLog TODO
%{_libdir}/purple-2/libmsn-pecan.so

#---------------------------------------------------------------------
%prep
%setup -q -n msn-pecan-%version
rm -rf ext/libmspack
%patch -P 1 -p1 -b .bundled-libmspack

%build
#gw don't use setup_compile_flags, we want to backport to 2008.1.
export CFLAGS="%optflags"
export LDFLAGS="%ldflags"
%make_build

%install
install -D -m0755 libmsn-pecan.so %buildroot%{_libdir}/purple-2/libmsn-pecan.so



%changelog
* Sun Dec 22 2024 pterjan <pterjan> 0.1.4-5.mga10
+ Revision: 2128063
- Rebuild for patchN deprecation

* Wed Apr 06 2022 umeabot <umeabot> 0.1.4-4.mga9
+ Revision: 1845787
- Mageia 9 Mass Rebuild

* Fri Feb 14 2020 umeabot <umeabot> 0.1.4-3.mga8
+ Revision: 1515939
- Mageia 8 Mass Rebuild

* Sun Sep 23 2018 umeabot <umeabot> 0.1.4-2.mga7
+ Revision: 1300269
- Mageia 7 Mass Rebuild

* Sat Apr 14 2018 kekepower <kekepower> 0.1.4-1.mga7
+ Revision: 1218653
- Update to version 0.1.4

* Tue Feb 09 2016 umeabot <umeabot> 0.1.3-10.mga6
+ Revision: 952277
- Mageia 6 Mass Rebuild

* Sat Feb 07 2015 oden <oden> 0.1.3-9.mga5
+ Revision: 813892
- small correction

* Sat Feb 07 2015 shlomif <shlomif> 0.1.3-8.mga5
+ Revision: 813878
- Avoid bundled libmspack, and use the system one instead (MGA#15218).

* Wed Oct 15 2014 umeabot <umeabot> 0.1.3-7.mga5
+ Revision: 747479
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.1.3-6.mga5
+ Revision: 687586
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.1.3-5.mga4
+ Revision: 517443
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.1.3-4.mga3
+ Revision: 377729
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Apr 09 2012 shlomif <shlomif> 0.1.3-3.mga2
+ Revision: 229822
- Made the release higher than Mageia 1

* Mon Apr 09 2012 shlomif <shlomif> 0.1.3-1.mga2
+ Revision: 229815
- Convert tabs to spaces
- imported package pidgin-msn-pecan

